#ifndef MSP_DATAFILE_WRITERMODE_H_
#define MSP_DATAFILE_WRITERMODE_H_

namespace Msp {
namespace DataFile {

class Output;
class Statement;

class WriterMode
{
protected:
	Output &out;

	WriterMode(Output &o): out(o) { }
public:
	virtual ~WriterMode() { }

	virtual void set_float_precision(unsigned) = 0;
	virtual void write(const Statement &st) = 0;
};

} // namespace DataFile
} // namespace Msp

#endif
